Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.client
Class GuiScrollingList

    java.lang.Object
      cpw.mods.fml.client.GuiScrollingList

Direct Known Subclasses:
  GuiSlotModList

    public abstract class GuiScrollingList

extends Object

Constructor Summary
`GuiScrollingList(Minecraft client, int width, int height, int top, int bottom, int left, int entryHeight)`

Method Summary
`void` | `actionPerformed(GuiButton button)`
`void` | `drawScreen(int mouseX, int mouseY, float p_22243_3_)`
`int` | `func_27256_c(int p_27256_1_, int p_27256_2_)`
`void` | `func_27258_a(boolean p_27258_1_)`
`void` | `registerScrollButtons(List p_22240_1_, int p_22240_2_, int p_22240_3_)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GuiScrollingList

    public GuiScrollingList(Minecraft client,
                            int width,
                            int height,
                            int top,
                            int bottom,
                            int left,
                            int entryHeight)

Method Detail

### func_27258_a

    public void func_27258_a(boolean p_27258_1_)

### func_27256_c

    public int func_27256_c(int p_27256_1_,
                            int p_27256_2_)

### registerScrollButtons

    public void registerScrollButtons(List p_22240_1_,
                                      int p_22240_2_,
                                      int p_22240_3_)

### actionPerformed

    public void actionPerformed(GuiButton button)

### drawScreen

    public void drawScreen(int mouseX,
                           int mouseY,
                           float p_22243_3_)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD